| Disk ARchive 2.6.11 Full featured and portable backup and archiving tool

Public Member Functions | Private Attributes | List of all members
libdar::slave_zapette Class Reference
Private

this class answers to order given by a zapette object More...

`#include <slave_zapette.hpp>`

## Public Member Functions
| slave_zapette (generic_file *input, generic_file *output, generic_file *data)
| slave_zapette constructor More...
| slave_zapette (const slave_zapette &ref)=delete
| slave_zapette (slave_zapette &&ref) noexcept=delete
slave_zapette & | operator= (const slave_zapette &ref)=delete
slave_zapette & | operator= (slave_zapette &&ref) noexcept=delete
void | action ()
| main execution method for slave_zapette class More...

## Private Attributes
generic_file * | in
| where to read orders from
generic_file * | out
| where to send requested info or data to
generic_file * | src
| where to read data from
contextual * | src_ctxt
| same as src but seen as contextual

## Detailed Description

this class answers to order given by a zapette object

through a pair of pipes slave_zapette return information about a given local archive (single or multi slices).

Definition at line 51 of file slave_zapette.hpp.

## Constructor & Destructor Documentation

## ◆ slave_zapette()

libdar::slave_zapette::slave_zapette | ( | generic_file * | input,
|  | generic_file * | output,
|  | generic_file * | data
| ) |  |

slave_zapette constructor

Parameters

  [in] | input | is used to receive orders from an zapette object
  [in] | output | is used to return informations or data in answer to received orders
  [in] | data | is where the informations or data is taken from. Object must inherit from contextual

## Member Function Documentation

## ◆ action()

void libdar::slave_zapette::action | ( |  | ) |

main execution method for slave_zapette class

this method implement a loop waiting for orders and answering to them the loop stops when a special order is received from the peer zapette object

The documentation for this class was generated from the following file:

- slave_zapette.hpp